Update a user by id.
Use to update a local user's details by id. SSO users cannot be updated.
Authentication
AuthorizationBearer
Bearer authentication
Path parameters
userId
The id of the user
Request
User patch object with fields to update.
firstName
lastName
Response
Executed successfully.
id
username
createdBy
createdAt
updatedAt
lastLogin
isLocal
groups
firstName
lastName
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error